frog (0.32-2) unstable; urgency=medium

  * Team upload
  * Move to pkgconf

 -- Bastian Germann <bage@debian.org>  Tue, 07 May 2024 21:05:05 +0000

frog (0.32-1) experimental; urgency=medium

  * New upstream release (v0.32, skipped v0.21-v0.31)
  * d/control: updated dependencies, so version (libfrog3),
     and description.
  * d/watch: updated because github changed things
  * d/copyright: updated years and description

 -- Maarten van Gompel <proycon@anaproy.nl>  Thu, 01 Feb 2024 17:07:10 +0000

frog (0.20-2) unstable; urgency=medium

  * Upload to unstable

 -- Maarten van Gompel <proycon@anaproy.nl>  Thu, 23 Apr 2020 18:22:12 +0200

frog (0.20-1) experimental; urgency=medium

  [ Maarten van Gompel ]
  * New upstream release (v0.20; skipped v0.16-v0.19)
  * debian/control: Renamed libfrog1 to libfrog2 because
    of SO version update
  * debian/control: Updated dependencies
  * debian/control: Updated standards version
  * debian/control: Added debhelper-compat 12 dependency
    and removed old debian/compat
  * debian/copyright: Updated years

  [ Mattia Rizzolo ]
  * d/control: Set Rules-Requires-Root:no.
  * d/control: Add missing build-dep on libexttextcat-dev.
  * d/rules: drop unused include of architecture.mk.

 -- Maarten van Gompel <proycon@anaproy.nl>  Tue, 21 Apr 2020 20:26:31 +0200

frog (0.15-1) unstable; urgency=medium

  * Updated to new upstream 0.15 (Closes: #915272)
    + Fixed FTBFS with ICU 63.1 (Closes: #913504)
  * d/control: priority optional, updated standards
  * d/control: updated dependencies
  * d/control: updated vcs-* urls to salsa
  * d/copyright: updates and fixes
  * d/compat: bumped to 11
  * Migrating away from cdbs
  * Added previously missing libfrog-dev package
    (see github issue: proycon/python-frog#6)
  * debian/control: Added CLST to package descriptions
  * debian/control: Removed Multi-Arch to prevent
    E: libfrog-dev:varch-dependent-file-not-in-arch-specific-directory

 -- Maarten van Gompel <proycon@anaproy.nl>  Fri, 14 Dec 2018 20:44:32 +0100

frog (0.13.7-1) unstable; urgency=medium

  * Updated to new upstream 0.13.7
  * Updated frogdata dependency to 0.14
  * Updated ucto dependency to 0.9.6
  * Data in frogdata has moved from etc/ to  share/
    frog updated to look here now
    (related to issue #838112)

 -- Maarten van Gompel <proycon@anaproy.nl>  Mon, 23 Jan 2017 16:17:00 +0100

frog (0.13.6-1) unstable; urgency=medium

  * Updated to new upstream 0.13.6
  * Updated frogdata dependency to 0.12
  * Updated copyright to 2017

 -- Maarten van Gompel <proycon@anaproy.nl>  Fri, 06 Jan 2017 11:48:00 +0100

frog (0.13.5-2) unstable; urgency=high

  * debian/copyright: removed reduntant entries, fixed ordering
  * debian/compat: bumped to 10
  * debian/control: bumped debhelper to 10
  * debian/rules: clean up (comment + python reference)
  * debian/*: wrap-and-sort cleanup

 -- Maarten van Gompel <proycon@anaproy.nl>  Fri, 11 Nov 2016 18:44:00 +0100

frog (0.13.5-1) unstable; urgency=medium

  [ Maarten van Gompel ]
  * Updated to new upstream 0.13.5
    (Missed: 0.13.0, 0.13.3, 0.13.4)
  * debian/copyright: updated years and added Radboud University
  * debian/control: updated dependency versions & no python needed anymore,
    updated standards version
  * debian/watch: pointing to make dist release instead of bare sources
  * debian/watch: pointing to github now (v0.13 ready there)
  * Added dh-autoreconf build dependency
  * Build should be reproducible now python dependency is gone
    (Closes: #828017)
  * Website update
  * Removed Joost van Baal-Ilić as uploader
  * Removed explicit libucto2 dependency, should be automatically
    extracted according to Anton Gladky
  * New upstream release fixes reported header issues, namespace
    statements in source files instead of headers.
    (Closes: #834558)

 -- Maarten van Gompel <proycon@anaproy.nl>  Tue, 02 Aug 2016 13:55:00 +0200

frog (0.12.20-1) unstable; urgency=low

  * New upstream release.  (Missed: 0.12.18, released 2014-09-16; 0.12.19,
    released 2014-12-01)
    - Fixes "frog: FTBFS with timblserver 1.8". Thanks Andreas Beckmann
      (Closes: #813445).
  * debian/control: update description (thanks Ko van der Sloot).
  * debian/copyright: Now _really_ no longer point to the versionless
    symlink to license files.
  * debian/{control,copyright,rules,watch}: migrated version control
    from Subversion to git (still on Debian's Alioth).  Change version
    control tags from Subversion to git.
  * debian/watch: more strict.
  * debian/control: change Build-Depends
    - "libtimblserver3-dev | libtimblserver-dev" into "libtimblserver4-dev",
    - "libfolia2-dev | libfolia-dev" into libfolia-dev (>= 0.13-1~),
    - "libticcutils2-dev | libticcutils-dev" into "libticcutils2-dev (>= 0.5)",
    - "libucto2-dev | libucto-dev" into "libucto-dev (>= 0.8.0)".
  * debian/control: In the default configuration, frog attempts to use the
    ucto tokenizer, and gives a cryptic error message when it is not found.
    Therefore: add "Recommends: ucto" to Package frog.  Thanks Andreas van
    Cranenburgh (Closes: #734151).
  * Acknowledge NMU 0.12.17-7.1, thanks Luk Claes.
  * .gitignore: added.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 04 Feb 2016 06:13:31 +0100

frog (0.12.17-7.1) unstable; urgency=high

  * Non-maintainer upload.
  * Only use currently existing -dev package names in build dependencies,
    so the package can be built on the buildds (Closes: #717394).

 -- Luk Claes <luk@debian.org>  Thu, 12 Sep 2013 08:22:35 +0200

frog (0.12.17-7) unstable; urgency=low

  * debian/control: get rid of obsolete DM-Upload-Allowed
  * debian/control: add unversioned -dev packages as alternatives to
    Build-Depends libucto2-dev, libtimbl4-dev, libtimblserver3-dev,
    libfolia2-dev, libmbt1-dev, libticcutils2-dev.
  * debian/watch: make sure no longer matches "frog-latest.tar.gz", thanks
    Bart Martens.
  * debian/control: update warning about maturity of this software (quote
    from upstream README): no longer alpha, but, since 0.12.15 / 2012-06, beta.
  * debian/compat, debian/control: raise dh(1) level from 7 to 9, so that
    dpkg-buildflags will enable hardening features by default.  This passes
    compile-time options to harden our binaries against memory corruption
    attacks.
  * debian/copyright: Point to the versions of the license this package
    references in its license statement, not to the versionless symlink.
    Thanks lintian.
  * debian/control: enhance description: describe relationship between frog
    and libfrog1. Thanks lintian.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 16 Jun 2013 08:18:57 +0200

frog (0.12.17-6) unstable; urgency=low

  * debian/control: cdbs dependency again incremented to (>= 0.4.90~).
    frog will not build on squeeze anyway (because of missing support for
    python-distutils.mk).

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Wed, 15 May 2013 15:37:27 +0200

frog (0.12.17-5) unstable; urgency=low

  * (not released.)

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Wed, 15 May 2013 15:25:18 +0200

frog (0.12.17-4) unstable; urgency=low

  * debian/control: lowered required version from the cdbs dependency.
    Now building on squeeze works again.

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Wed, 15 May 2013 15:13:48 +0200

frog (0.12.17-3) unstable; urgency=low

  * debian/{rules|control}: start using dh_python2
  * debian/frog.install: added missing line
  * debian/libfrog1.install: removed spurious slash

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Thu, 04 Apr 2013 15:36:14 +0200

frog (0.12.17-2) unstable; urgency=low

  * debian/prerm: deleted
  * debian/postinst: deleted

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Thu, 04 Apr 2013 15:30:04 +0200

frog (0.12.17-1) unstable; urgency=low

  * New Upstream Release
  * debian/control: use Standards-Version 3.9.3, Build-depends on new libucto2-dev,
    libtimbl4-dev, libtimblserver3-dev, libfolia2-dev, libmbt1-dev,
    libticcutils2-dev.

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Thu, 04 Apr 2013 14:13:03 +0200

frog (0.12.16-4) unstable; urgency=low

  * debian/changelog: cosmetics.
  * debian/control: more strict build-depends: libmbt0-dev from 3.2.8 to
    3.2.9; libtimblserver2-dev from 1.4 to 1.6.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 05 Mar 2013 12:12:59 +0100

frog (0.12.16-3) unstable; urgency=low

  * (not released.)

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Tue, 19 Feb 2013 11:37:13 +0100

frog (0.12.16-2) unstable; urgency=low

  * (not released.)

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Tue, 19 Feb 2013 11:32:38 +0100

frog (0.12.16-1) unstable; urgency=low

  * New Upstream Release
    - Fixed problems with dependencies on libticcutils.
  * debian/control: added dependency on libticcutils1-dev.  Thanks
    Roland Stigge. (Closes: #700389)

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Tue, 19 Feb 2013 11:09:19 +0100

frog (0.12.15-3) unstable; urgency=low

  * Since libucto1-dev 0.5.2-2 and libfolia1-dev 0.9-2 are in sid, frog no
    longer FTBFS with unsatisfiable build-dependencies: libucto1-dev
    (>= 0.4.9), libfolia1-dev (>= 0.5). Thanks Lucas Nussbaum. (Closes: #676768)
  * Rebuild in clean sid chroot in order to fix bogus linking against obsolete
    libpython2.6.  Thanks Julien Cristau.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 01 Jul 2012 17:02:45 +0200

frog (0.12.15-2) unstable; urgency=low

  * Rebuild on amd64 to pull in libicu48 (was libicu44).

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 23 Jun 2012 08:09:59 +0200

frog (0.12.15-1) unstable; urgency=low

  * New Upstream Release
  * debian/control: added dependency on frogdata.
  * debian/control: need libfolia1-dev >= 0.9.
  * debian/control: need libucto1-dev >= 0.5.2.
  * debian/control: need libmbt0-dev >= 3.2.8.

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Wed, 28 Mar 2012 17:07:07 +0200

frog (0.12.14-1) unstable; urgency=low

  * New Upstream Release
  * debian/control: removed dependency on libssl-dev.
  * debian/watch: upload from new location: http://software.ticc.uvt.nl
    (Closes: #676985)

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Wed, 29 Feb 2012 15:42:38 +0100

frog (0.12.13-1) unstable; urgency=low

  * New Upstream Release
  * debian/control: depend on libfolia1-dev >= 0.8 and libucto1-dev >= 0.5.1.

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Wed, 29 Feb 2012 15:24:23 +0100

frog (0.12.12-2) unstable; urgency=low

  * debian/control: depend on libfolia >= 0.7.

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Mon, 13 Feb 2012 11:45:55 +0100

frog (0.12.12-1) unstable; urgency=low

  * New Upstream Release

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Thu, 09 Feb 2012 16:58:22 +0100

frog (0.12.11-1) unstable; urgency=low

  * New Upstream Release

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Thu, 09 Feb 2012 15:08:45 +0100

frog (0.12.10-1) unstable; urgency=low

  * New Upstream Release

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Mon, 06 Feb 2012 16:13:44 +0100

frog (0.12.9-3) unstable; urgency=low

  * Improve this changelog (0.12.7-1).

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 28 Jan 2012 11:37:54 +0100

frog (0.12.9-2) unstable; urgency=low

  * debian.control: added a dependency on ucto because that provides config
    files we need to run frog

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Mon, 23 Jan 2012 12:27:26 +0100

frog (0.12.9-1) unstable; urgency=low

  * New Upstream Release

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Thu, 12 Jan 2012 14:54:40 +0100

frog (0.12.8-1) unstable; urgency=low

  * New Upstream Release

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Tue, 10 Jan 2012 13:56:39 +0100

frog (0.12.7-1) unstable; urgency=low

  [ Ko van der Sloot ]
  * New Upstream Release

  [ Joost van Baal-Ilić ]
  * This upstream release fixes build error on hurd-i386 "src/Frog.cxx:767:20:
    error: 'SA_NOCLDWAIT' was not declared in this scope", see
    https://buildd.debian.org/status/logs.php?pkg=frog&arch=hurd-i386 .  Thanks
    Ko van der Sloot!

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Thu, 05 Jan 2012 11:21:36 +0100

frog (0.12.6-4) unstable; urgency=low

  * debian/control: add python-dev to Build-Depends: during ./configure,
    Python.h is needed. (Closes: #621760, thanks Cyril Brulebois.)

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 01 Jan 2012 05:04:05 +0100

frog (0.12.6-3) unstable; urgency=low

  * (not released.)

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 01 Jan 2012 04:47:23 +0100

frog (0.12.6-2) unstable; urgency=low

  * First upload to Debian unstable (was: Debian experimental).
  * debian/control: Build-Depends: replace old ucto, libtimbl3-dev,
    libtimblserver-dev, libfolia-dev, mbt with new package names
    libucto1-dev, libtimbl3-dev, libtimblserver2-dev, libfolia1-dev,
    libmbt0-dev.
  * debian/source: added; updated package to use 3.0 source format.
  * debian/NEWS: unneeded, removed.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 29 Dec 2011 12:46:18 +0100

frog (0.12.6-1) unstable; urgency=low

  * New upstream release
  * debian/control: depends on ucto (>= 0.4.9), libtimbl3-dev (>= 6.4.2),
    libtimblserver-dev (>= 1.4), libfolia-dev (>= 0.5), mbt (>= 3.2.7)

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Wed, 21 Dec 2011 14:46:48 +0100

frog (0.12.5-1) unstable; urgency=low

  * New upstream. (skipped 0.12.1, 0.12.2, 0.12.3, 0.12.4)
  * debian/control: depends on ucto >= 0.4.7 timblserver >= 1.3, mbt >= 3.2.6
    and timbl >= 4.6.1
  * debian/control: added dependency ${python:Depends}

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Thu, 20 Oct 2011 14:07:18 +0200

frog (0.12.0-2) experimental; urgency=low

  * debian/control: add missing timblserver (>= 1.2) to Build-Depends.
    (Now really Closes: #620711, thanks Cyril Brulebois.)
  * debian/control: add missing libssl-dev to Build-Depends.

 -- Joost van Baal <joostvb@debian.org>  Thu, 07 Apr 2011 06:31:54 +0200

frog (0.12.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control: stricter Build-Depends (renaming: s/Timbl/timbl/,
    s/Mbt/mbt/) (Closes: #620711, thanks Cyril Brulebois).
  * debian/copyright: add some license conditions of files in m4/.

 -- Joost van Baal <joostvb@debian.org>  Tue, 05 Apr 2011 20:44:20 +0200

frog (0.11.1-1) experimental; urgency=low

  * New upstream release. (Missed 0.10.3, 0.10.4, 0.11.0)
  * debian/control: new upstream homepage.
  * debian/control: Build-Depends: versioned, now reflects upstream
    configure.ac.  Add pkg-config, since upstream checks for it in
    configure.ac (needed?).

 -- Joost van Baal <joostvb@debian.org>  Sun, 20 Mar 2011 11:23:56 +0100

frog (0.10.2-1) experimental; urgency=low

  * New upstream release.  (Frog manpage still missing.)
  * First upload to Debian.  (Closes: #605905)
  * debian/control: add warning about maturity of this software (quote
    from upstream README).

 -- Joost van Baal <joostvb@debian.org>  Sun, 13 Feb 2011 07:58:36 +0100

frog (0.10.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Build-Depends ucto (>= 3.6)

 -- Joost van Baal <joostvb@debian.org>  Sat, 12 Feb 2011 19:41:58 +0100

frog (0.9.3-1) unstable; urgency=low

  * First public upstream release.
  * Add libicu-dev to Build-Depends (we need libicu-dev 4.6, it seems).

 -- Joost van Baal <joostvb@debian.org>  Sat, 12 Feb 2011 16:55:14 +0100

frog (0.10-1) unstable; urgency=low

  * This package version is not for public consumption.

 -- Joost van Baal <joostvb@debian.org>  Sat, 25 Dec 2010 12:57:28 +0100
